package com.thalesgroup.dtkit.metrics.hudson.model;

import org.kohsuke.stapler.DataBoundConstructor;
import hudson.Extension;
import com.thalesgroup.dtkit.metrics.hudson.api.type.TestType;
import com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor;

public class MSTestJunitHudsonTestType extends TestType {

private static TestTypeDescriptor<? extends TestType> DESCRIPTOR = new MSTestJunitHudsonTestType.DescriptorImpl();

@DataBoundConstructor
public MSTestJunitHudsonTestType(String pattern, boolean faildedIfNotNew, boolean deleteOutputFiles) {
  super(pattern, faildedIfNotNew, deleteOutputFiles);
}

public TestTypeDescriptor<? extends TestType> getDescriptor() {
 return  DESCRIPTOR;
}

@Extension
public static class DescriptorImpl  extends TestTypeDescriptor<MSTestJunitHudsonTestType> {

  public DescriptorImpl() {
     super(MSTestJunitHudsonTestType.class, com.thalesgroup.dtkit.junit.MSTest.class);
  }

public String getId() {
 return "class com.thalesgroup.dtkit.junit.MSTest";
}

}

}
